# Set background
Screen.backgroundColor = "#28affa"

# Variables
rows = cols = 3
gutter = 10
width  = 100
height = 100

# Wrapper that will center the grid
wrapper = new Layer
	width:	(width * cols)	+ (gutter * (cols-1))
	height:	(height * cols)	+ (gutter * (cols-1))
	backgroundColor: null
	point: Align.center

# Create the grid layers
for rowIndex in [0...rows]
	for colIndex in [0...cols]
		cell = new Layer
			width: width
			height: height
			borderRadius: 2
			backgroundColor: Color.random()
			x: colIndex * (width + gutter)
			y: rowIndex * (height + gutter)
			parent: wrapper
